Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.asserting
Class AssertingNormsFormat

    java.lang.Object
      org.apache.lucene.codecs.NormsFormat
          org.apache.lucene.codecs.asserting.AssertingNormsFormat

    public class AssertingNormsFormat

extends NormsFormat

Just like `Lucene42NormsFormat` but with additional asserts.

Constructor Summary
`AssertingNormsFormat()`

Method Summary
`DocValuesConsumer` | `normsConsumer(SegmentWriteState state)`
`DocValuesProducer` | `normsProducer(SegmentReadState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssertingNormsFormat

    public AssertingNormsFormat()

Method Detail

### normsConsumer

    public DocValuesConsumer normsConsumer(SegmentWriteState state)
                                    throws IOException

  Specified by:
    `normsConsumer` in class `NormsFormat`
  Throws:
    `IOException`

### normsProducer

    public DocValuesProducer normsProducer(SegmentReadState state)
                                    throws IOException

  Specified by:
    `normsProducer` in class `NormsFormat`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.